<template>
  <table class="table">
    <thead>
      <tr>
        <th>Label</th>
        <th>Due date</th>
        <th>Status</th>
        <th>Operations</th>
      </tr>
    </thead>
    <tbody>
      <tr v-for="task in tasks" v-bind:data-id="task.id">
        <td>
          <a v-bind:href="'/user/' + user.id + '/tasks/' + task.id">{{ task.label }}</a>
        </td>
        <td>{{ task.dueDate }}</td>
        <td>{{ task.status }}</td>
        <td>
          <a
            class="badge badge-secondary badge-pill"
            v-bind:href="'/user/' + user.id + '/tasks/' + task.id + '/edit'"
          >Edit</a>
        </td>
      </tr>
    </tbody>
  </table>
</template>

<script>
const { default: Axios } = require("axios");

export default {
  data() {
    return {
      tasks: null,
      user: null
    };
  },
  mounted() {
    let userId = $("data-list").data("user-id");

    this.user = {
      id: userId
    };

    Axios.get("/api/user/" + userId + "/tasks").then(
      response => (this.tasks = response.data)
    );
  }
};
</script>